#include <bits/stdc++.h>
 
 using namespace std;
 
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    
    int n,h;
    cin>>n>>h;
    vector<pair<int,int>>v;
    for(int i=0;i<n;i++){
        int a;
        cin>>a;
        v.push_back(make_pair(a,i+1));
    }
    sort(v.begin(), v.end(),
        [](const pair<int, int>& a, const pair<int, int>& b) {
            return a.first < b.first;
        });
    int s=-1;
    for(int i=0;i<n;i++){
        if(h>=v[i].first){
            s=v[i].second;
            break;
        }
    }
    cout<<s<<endl;
    return 0;
}